# Uses of Interface
org.apache.commons.math3.util.NumberTransformer

Packages that use NumberTransformer
Package
Description
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of NumberTransformer in org.apache.commons.math3.util

Classes in org.apache.commons.math3.util that implement NumberTransformer
Modifier and Type
Class
Description
`class`
`DefaultTransformer`
A Default NumberTransformer for java.lang.Numbers and Numeric Strings.
`class`
`TransformerMap`
This TansformerMap automates the transformation of mixed object types.
Methods in org.apache.commons.math3.util that return NumberTransformer
Modifier and Type
Method
Description
`NumberTransformer`
TransformerMap.`getTransformer(Class<?> key)`
Returns the Transformer that is mapped to a class if mapping is not present, this returns null.
`NumberTransformer`
TransformerMap.`putTransformer(Class<?> key, NumberTransformer transformer)`
Sets a Class to Transformer Mapping in the Map.
`NumberTransformer`
TransformerMap.`removeTransformer(Class<?> key)`
Removes a Class to Transformer Mapping in the Map.
Methods in org.apache.commons.math3.util that return types with arguments of type NumberTransformer
Modifier and Type
Method
Description
`Collection<NumberTransformer>`
TransformerMap.`transformers()`
Returns the Set of NumberTransformers used as values in the map.
Methods in org.apache.commons.math3.util with parameters of type NumberTransformer
Modifier and Type
Method
Description
`boolean`
TransformerMap.`containsTransformer(NumberTransformer value)`
Tests if a NumberTransformer is present in the TransformerMap.
`NumberTransformer`
TransformerMap.`putTransformer(Class<?> key, NumberTransformer transformer)`
Sets a Class to Transformer Mapping in the Map.